cc.funkemunky.api.utils.math

## Class MCSmooth

- java.lang.Object
- - cc.funkemunky.api.utils.math.MCSmooth

    public class MCSmooth
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`MCSmooth()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `reset()`
`float` `smooth(float toSmooth, float increment)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MCSmooth

    public MCSmooth()

### Method Detail

#### smooth

    public float smooth(float toSmooth,
                        float increment)

#### reset

    public void reset()